## org.apache.poi.hslf.record
Class TextCharsAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.TextCharsAtom

    public final class TextCharsAtom

extends RecordAtom

A TextCharsAtom (type 4000). Holds text in byte swapped unicode form. The trailing return character is always stripped from this

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `TextCharsAtom()` Create an empty TextCharsAtom
`protected` `TextCharsAtom(byte[] source, int start, int len)` For the TextChars Atom

Method Summary
`long` `getRecordType()` We are of type 4000
`java.lang.String` `getText()` Grabs the text.
`void` `setText(java.lang.String text)` Updates the text in the Atom.
`java.lang.String` `toString()` dump debug info; use getText() to return a string representation of the atom
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextCharsAtom

    protected TextCharsAtom(byte[] source,
                            int start,
                            int len)

  For the TextChars Atom

### TextCharsAtom

    public TextCharsAtom()

  Create an empty TextCharsAtom

Method Detail

### getText

    public java.lang.String getText()

  Grabs the text.

### setText

    public void setText(java.lang.String text)

  Updates the text in the Atom.

### getRecordType

    public long getRecordType()

  We are of type 4000

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  dump debug info; use getText() to return a string representation of the atom

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.